#include <stdio.h>
#include <string.h>

char* strings[2] = { "JOYSTICK CONTROL", "PADDLE CONTROL" };

void convert_string (const int i)
{
  int l = strlen (strings[i]);
  int leading = (128 - l) / 2;
  int j;
  
  printf ("; %s top\n", strings[i]);
  printf ("  .byte $%02X,", leading);
  
  for (j = 0; j < l; ++j)
  {
    if (strings[i][j] == ' ')
    {
      printf ("0,0,");
    }
    else
    {
      int o = strings[i][j] - 'A';
      printf ("$%02X,$%02X,", 21 + (2*o), 22 + (2*o));
    }
  }
  printf ("$FF\n");

  printf ("; %s bottom\n", strings[i]);
  printf ("  .byte $%02X,", leading);
  
  for (j = 0; j < l; ++j)
  {
    if (strings[i][j] == ' ')
    {
      printf ("0,0,");
    }
    else
    {
      int o = strings[i][j] - 'A';
      printf ("$%02X,$%02X,", 73 + (2*o), 74 + (2*o));
    }
  }
  printf ("$FF\n");
}

void main (void)
{
  int i;
  
  for (i = 0; i < 2; ++i)
  {
    convert_string (i);
  }
}

